%define name r2l-plugins
%define version 0.60
%define release 2

Summary: interfaces to control biditext (TODO: describe)
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
#Source1: biditext-menu.tar.bz2
#Patch0: biditext-0.0.3.patch
#Patch0: biditext-flagfile.patch
#Patch1: biditext-flagfile-makefile.patch
URL: http://linuxclub.il.eu.org/R2L
Copyright: Public Domain
Group: System Environment/Internationalization
BuildRoot: %{_tmppath}/%{name}-buildroot
#Prefix: %{_prefix}

# to have it auto-selected when choosing Hebrew at install time. 
# It would be a good idea to rem-out this line when compiling for another 
# distro
#Requires: locales-he


%description
TODO: Give a descrptions

#%package r2l
#Group: System Environment/Internationalization
#Summary: A GUI for controling biditext
#Requires: %{name} = %{version}
#
#%description r2l
#This package contains a small qt applet that controls biditext (by creating /
#deleting $HOME/.rev or any other file set as BIDITEXT_FILENAME)

# I decided to seperate the menu entries into a seperate package because I'm
# not sure they're such a good idea, and I want to be able to leave biditext
# installed without cluttering the menu system
%package menu
Group: System Environment/Internationalization
Summary: menu entries for the biditext package
# Is there any PackageArchtecture: tag?
#BuildArchitectures: noarch
Requires: %{name} = %{version}
Requires: menu

%description menu
This package contain several menu entries that use biditext

%prep
#%setup -a 1
%setup

%build
make CFLAGS="$RPM_OPT_FLAGS" PREFIX=/usr

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/bin
install -d $RPM_BUILD_ROOT%{_prefix}/lib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README Changelog
%{_prefix}/bin/biditext
%{_prefix}/lib/biditext.so*

#%files r2l
#%defattr(-,root,root,0755)
#%{_prefix}/bin/r2l

%files menu
%defattr(-,root,root,0755)
%{_prefix}/lib/menu/biditext

%changelog
* Wed Jun 13 2001 Tzafrir Cohen <tzafrir@technion.ac.il> 0.9.1-1
- Now using version 0.9.1 from Ilya
- currently dropping r2l brutally (this will break menu entries)

* Wed Dec  6 2000 Tzafrir Cohen <tzafrir@technion.ac.il> 0.0.3-2
- fixed menus

* Sun Nov 19 2000 Tzafrir Cohen <tzafrir@technion.ac.il> 0.0.3-1
- new version. No need to patch anymore.
- Added r2l as a subpackage
- Added menu entries

* Wed Nov  8 2000 Tzafrir Cohen <tzafrir@technion.ac.il> 0.0.2-2
- Added a patch to replace 

* Fri May 19 2000 Tzafrir Cohen <tzafrir@technion.ac.il>
- initial spec file
