/*
 * $Id: parse_argv.h,v 1.1.1.1 2001/09/13 12:42:16 mulix Exp $
 */
#ifndef PARSE_ARGV_H_
#define PARSE_ARGV_H_

#include "r2llib.h"

/**
 * parse the command line arguments, 
 * @param file_name Output parameter: the file_name the user specified 
 * @param argc together with argv: the command-line arguments - note that a *pointer* to argc is required
 * @param argv
 * 
 * rewrites argc and argv to remove all r2llib specific flags 
 */
void 
parse_command_line(int* argc, char* argv[],
		   char** file_name);

#endif /* PARSE_ARGV_H_ */
