%define name r2llib
%define version 0.37
%define release 2

Summary: A library for checking and toggling biditext's language
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.galanet.net/~future/%{name}-%{version}.tar.gz
URL: http://linuxclub.il.eu.org/R2L/
Copyright: Public Domain
Group: System Environment/Internationalization
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Provides: r2llib-config

%description
This hack, based on the fribidi library, can be used to make some apps
display bidirectional hebrew almost properly. It modifies the Xlib string 
drawing function, so that strings will be printed according to the bidi. 
algorithm.
Surrisingly, this low-level hack works relatively well. Almost any X 
application is affected. And in most cases the result is resonable.

libr2l provides the basic functionality of biditext's language switching.

%prep
%setup

%build
# delete the old biditext script:
make clean
make CFLAGS="$RPM_OPT_FLAGS" PREFIX=/usr

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{prefix}/bin
install -d $RPM_BUILD_ROOT%{prefix}/lib
install -d $RPM_BUILD_ROOT%{prefix}/include
make PREFIX=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 24 2001 Tzafrir Cohen <tzafrir@technion.ac.il> 0.0.8-2
- added r2llib.h and r2llib-config

* Thu Jul 19 2001 Tzafrir Cohen <tzafrir@technion.ac.il> 0.0.7-1
- initial package

%files
%defattr(-,root,root,0755)
%doc README Changelog TODO spec
%{prefix}/include/r2llib.h
%{prefix}/bin/r2llib-test
%{prefix}/bin/r2llib-config
%{prefix}/lib/libr2l.a
