#include <unistd.h>
#include <X11/Xlib.h>

#include "scavenger.h"
#include "refreshd_params.h"
#include "traverse.h"
#include "debug.h"

static WDB_IT_CALLBACK_RESULT
scavgWndCallback(WindowDB::BidiTextKeyIterator bdtkit,
		 WindowDB::DisplayMapIterator dpymit,
		 WindowDB::WindowSetIterator wsit)
{
  Display* dpy = (*dpymit).first->getDisplay();
  Window w = *wsit;
  Window root;
  int x,y;
  unsigned int width,height;
  unsigned int border_width;
  unsigned int depth;

  XGetGeometry(dpy,w,&root,&x,&y,&width,&height,&border_width,&depth);

  return WDB_IT_NOTHING;
}



void* scavenger(void* arg)
{
  for(;;) {
    usleep(SCAVENGE_TIME);

    MESSAGE("Scavenging...\n");

    traverse(NULL,NULL,scavgWndCallback);
  }
  return NULL;
}

