#ifndef REFRESHD_PARAMS_H
#define REFRESHD_PARAMS_H

#define BIDITEXT_KEY_ENV_VAR "BIDITEXT_FILENAME"

#define BIDITEXT_SO "biditext.so"
#define REFRESHD_SOCKET_NAME "/tmp/refreshd_svc"
#define REFRESHD_HOOK_SO "refreshd_hook.so"


/* 
   #define the macro below in order to use names from the abstract
   space for UNIX domain sockets (as opposed to traditional, 
   file system based names). 
   Abstract UNIX socket names are supported for LINUX kernel
   versions 2.2.0 and later. For earlier versions of LINUX or
   for non-LINUX UNIX flavors, you should comment out the definition
   below
*/
/*#define ABSTRACT_UNIX_SOCKET_ADDRESSES
*/

#define SECONDS 1
#define MILLISECONDS 1000
#define REFRESH_TIME  (500 * MILLISECONDS)
#define SCAVENGE_TIME (2000 * MILLISECONDS)

#define RECV_TIMEOUT  (10 * SECONDS)



#define MAX_BIND_RETRIES 5
#define MAX_CONNECT_RETRIES 5
#define MAX_SEND_RETRIES 5
#define MAX_RECV_RETRIES 5

#endif  /* REFRESHD_PARAMS_H */
