#include <stdio.h>
#include <stdlib.h>

#include <X11/Xlib.h>
#include <syslog.h>

#include "window_db.h"
#include "communication.h"

WindowDB winDB;

void refreshNow(void)
{
  printf("This should mean a refresh...\n");
}

int main()
{
  Status st;
  const char* errMsg = "No error";

  st = XInitThreads();
  if (!st) {
    errMsg = "X does not support threads";
    goto err_x_init_threads;
  }

  openlog("comm_server",LOG_PERROR,LOG_DAEMON);

  communicator(NULL);

  return 0;

 err_x_init_threads:
  fprintf(stderr,"Error: %s\n",errMsg);
  return 1;
}
