#ifndef SCAVENGER_H
#define SCAVENGER_H

/*
  Scavenger thread entry point. The task of the  scavenger is to clean 
  up the window database when the window IDs become invalid. It does
  this by iterating over the whole window database and getting the 
  geometry of all the windows. If a window ID is invalid, the error
  handler will be invoked which will add offending window ID to a
  'bad list'. After the iteration completes, all the windows from
  the 'bad list' are removed from the database.
*/

void* scavenger(void* arg);

#endif /* SCAVENGER_H */

